Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::AttrEmbossed Class Reference

A GdkPangoAttrEmbossed C++ wrapper class. More...

`#include <inti/pango/attributes.h>`

Inheritance diagram for Inti::Pango::AttrEmbossed:

List of all members.

## Public Member Functions

Constructors

- AttrEmbossed (bool embossed)
    Construct a new attribute containing an embossed bitmap to be used when rendering the text.

Accessors

- GdkPangoAttrEmbossed * gdk_pango_attr_embossed () const
    Get a pointer to the GdkPangoAttrEmbossed structure.
- bool embossed () const
    Returns true if the bitmap is set as embossed.

## Detailed Description

A GdkPangoAttrEmbossed C++ wrapper class.

AttrEmbossed is a Pango text attribute containing an embossed bitmap to be used when rendering the text. This type is specific to GDK and therefore has a Pango::AttrType of ATTR_INVALID.

## Constructor & Destructor Documentation

Inti::Pango::AttrEmbossed::AttrEmbossed | ( | bool | embossed | ) | `[explicit]`

  | Construct a new attribute containing an embossed bitmap to be used when rendering the text. Parameters:
  embossed | Set true if the bitmap is to be set as embossed.

The documentation for this class was generated from the following file:

- attributes.h

Main Page - Footer